Create a term
POST
/v1/skill-taxonomies/{taxonomyId}/termscurl -X POST 'https://api.embodiflow.io/v1/skill-taxonomies/{taxonomyId}/terms' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"termIdentity": "string",
"code": "string",
"displayLabel": "string",
"labels": {},
"parentTermIdentity": "string",
"assignable": true,
"definition": "string",
"positiveExamples": [
"string"
],
"negativeExamples": [
"string"
],
"enabled": true,
"status": "active",
"successorTermIdentity": "string"
}'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Path parameters
- taxonomyIdstringrequired
Header parameters
- idempotency-keystringrequired
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
Request body
Content-Typeapplication/json
- termIdentitystring
- codestring
- displayLabelstring
- labelsobject
- parentTermIdentitystring | null
- assignableboolean
- definitionstring
- positiveExamplesarray<string>
- negativeExamplesarray<string>
- enabledboolean
- statusstringAllowed valuesactivedeprecatedretired
- successorTermIdentitystring | null
Responses
Success
- dataobjectrequired
- idstring | nullrequired
- termIdentitystringrequired
- codestringrequired
- displayLabelstringrequired
- labelsobjectrequired
- parentTermIdentitystring | nullrequired
- assignableone ofrequired
- definitionstringrequired
- positiveExamplesarray<string>required
- negativeExamplesarray<string>required
- externalMappingsarray<SkillExternalMapping>required
- originLayerstringrequiredAllowed valuestenantprojectplatform
- statusstringrequiredAllowed valuesactivedeprecatedretired
- successorTermIdentitystring | nullrequired
- enabledone ofrequired
- coverageFloorone ofrequired
- provenanceobjectrequired
- sourcesobjectrequired
Response example
{
"data": {
"id": "string",
"termIdentity": "string",
"code": "string",
"displayLabel": "string",
"labels": {},
"parentTermIdentity": "string",
"assignable": false,
"definition": "string",
"positiveExamples": [
"string"
],
"negativeExamples": [
"string"
],
"externalMappings": [
{
"source": "string",
"sourceVersion": "string",
"externalCode": "string",
"externalLabel": "string",
"mappingKind": "exact",
"confidence": 0
}
],
"originLayer": "tenant",
"status": "active",
"successorTermIdentity": "string",
"enabled": false,
"coverageFloor": false,
"provenance": {
"originLayer": "tenant",
"sourceRevision": "string",
"fields": {}
},
"sources": {}
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1